Package org.eclipse.net4j.util.io

## Class ExtendedDataOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FilterOutputStream
    - - java.io.DataOutputStream
      - - org.eclipse.net4j.util.io.ExtendedDataOutputStream

- All Implemented Interfaces:
    `java.io.Closeable`, `java.io.DataOutput`, `java.io.Flushable`, `java.lang.AutoCloseable`, `ExtendedDataOutput`

      public class ExtendedDataOutputStream
      extends java.io.DataOutputStream
      implements ExtendedDataOutput

  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataOutput

      `ExtendedDataOutput.Delegating, ExtendedDataOutput.Stream`

  - ### Field Summary

    - ### Fields inherited from class java.io.DataOutputStream

      `written`

    - ### Fields inherited from class java.io.FilterOutputStream

      `out`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtendedDataOutputStream​(java.io.OutputStream out)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.io.OutputStream` | `unwrap​(java.io.OutputStream stream)` |
    `static ExtendedDataOutputStream` | `wrap​(java.io.OutputStream stream)` |
    `void` | `writeByteArray​(byte[] b)` |
    `void` | `writeEnum​(java.lang.Enum<?> literal)` |
    `void` | `writeException​(java.lang.Throwable t)` |
    `void` | `writeObject​(java.lang.Object object)` |
    `void` | `writeString​(java.lang.String str)` |
    `void` | `writeVarInt​(int v)` |
    `void` | `writeVarLong​(long v)` |

    - ### Methods inherited from class java.io.DataOutputStream

      `flush, size, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from class java.io.FilterOutputStream

      `close, write`

    - ### Methods inherited from class java.io.OutputStream

      `nullOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.io.DataOutput

      `write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

- - ### Constructor Detail

    - #### ExtendedDataOutputStream

          public ExtendedDataOutputStream​(java.io.OutputStream out)

  - ### Method Detail

    - #### writeVarInt

          public void writeVarInt​(int v)
                           throws java.io.IOException

      Specified by:
        `writeVarInt` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeVarLong

          public void writeVarLong​(long v)
                            throws java.io.IOException

      Specified by:
        `writeVarLong` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.7

    - #### writeByteArray

          public void writeByteArray​(byte[] b)
                              throws java.io.IOException

      Specified by:
        `writeByteArray` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### writeString

          public void writeString​(java.lang.String str)
                           throws java.io.IOException

      Specified by:
        `writeString` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### writeEnum

          public void writeEnum​(java.lang.Enum<?> literal)
                         throws java.io.IOException

      Specified by:
        `writeEnum` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.0

    - #### writeException

          public void writeException​(java.lang.Throwable t)
                              throws java.io.IOException

      Specified by:
        `writeException` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`
      Since:
        3.4

    - #### writeObject

          public void writeObject​(java.lang.Object object)
                           throws java.io.IOException

      Specified by:
        `writeObject` in interface `ExtendedDataOutput`
      Throws:
        `java.io.IOException`

    - #### wrap

          public static ExtendedDataOutputStream wrap​(java.io.OutputStream stream)

    - #### unwrap

          public static java.io.OutputStream unwrap​(java.io.OutputStream stream)